AbstractFileLocationStrategy.StrategyBuilder (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.io, class: AbstractFileLocationStrategy, class: StrategyBuilder

Package org.apache.commons.configuration2.io

# Class AbstractFileLocationStrategy.StrategyBuilder<T extends FileLocationStrategy>

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<T,AbstractFileLocationStrategy.StrategyBuilder<T>>
org.apache.commons.configuration2.io.AbstractFileLocationStrategy.AbstractBuilder<T,AbstractFileLocationStrategy.StrategyBuilder<T>>
org.apache.commons.configuration2.io.AbstractFileLocationStrategy.StrategyBuilder<T>

Type Parameters:
  `T` - The type of `FileLocationStrategy` to build.

All Implemented Interfaces:
  `org.apache.commons.io.function.IOSupplier<T>`

Enclosing class:
  `AbstractFileLocationStrategy`

public static class AbstractFileLocationStrategy.StrategyBuilder<T extends FileLocationStrategy> extends AbstractFileLocationStrategy.AbstractBuilder<T,AbstractFileLocationStrategy.StrategyBuilder<T>>
Builds new instances of T.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrategyBuilder(Function<AbstractFileLocationStrategy.StrategyBuilder<T>,T> function)`
  Constructs a new instance for subclasses.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `get()`

  ### Methods inherited from class org.apache.commons.configuration2.io.AbstractFileLocationStrategy.AbstractBuilder

  `setHosts, setHostsRegEx, setSchemes`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### StrategyBuilder

    public StrategyBuilder(Function<AbstractFileLocationStrategy.StrategyBuilder<T>,T> function)
    Constructs a new instance for subclasses.
    Parameters:
      `function` - Builds an instance of T.

- ## Method Details

  - ### get

    public T get()